japa.parser

## Class Position

- java.lang.Object
- - japa.parser.Position

    public class Position
    extends Object

### Field Summary

Fields
`static Position` `ABSOLUTE_END`
`static Position` `ABSOLUTE_START`

### Constructor Summary

Constructors
Constructor and Description
`Position(int line, int column)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static Position` `beginOf(Node node)`
`static Position` `endOf(Node node)`
`int` `getColumn()`
`int` `getLine()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ABSOLUTE_START

    public static final Position ABSOLUTE_START

#### ABSOLUTE_END

    public static final Position ABSOLUTE_END

### Constructor Detail

#### Position

    public Position(int line,
                    int column)

### Method Detail

#### beginOf

    public static Position beginOf(Node node)

#### endOf

    public static Position endOf(Node node)

#### getLine

    public int getLine()

#### getColumn

    public int getColumn()